<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.52
Name: [2] Dane wizyty (bazowy)
Description: Bazowy szablon CDA dla danych o wizycie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000">
   <title>[2] Dane wizyty (bazowy)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]
Item: (plCdaBaseComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]"
         id="tmp-r-358e26e9-8182-4b01-ade9-49c62e69a1ff">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52'])&lt;=1">(plCdaBaseComponentOf): element hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']
Item: (plCdaBaseComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']"
         id="tmp-r-a7dd7bb2-0aaf-4407-b01a-c04f0634a1a6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaBaseComponentOf): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.52'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.52']/@nullFlavor)">(plCdaBaseComponentOf): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.52'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.52'])&lt;=1">(plCdaBaseComponentOf): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.52'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:encompassingEncounter)&gt;=1 ">(plCdaBaseComponentOf): element hl7:encompassingEncounter jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:encompassingEncounter)&lt;=1">(plCdaBaseComponentOf): element hl7:encompassingEncounter występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.52']
Item: (plCdaBaseComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.52']"
         id="tmp-r-a116397f-9800-4cc4-8baa-a92da7bff5cb">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.52'">(plCdaBaseComponentOf): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.52'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaBaseComponentOf): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter
Item: (plCdaBaseComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter"
         id="tmp-r-6e6aba91-c63e-4236-99bf-190f9c63f3aa">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="string(@classCode)='ENC' or not(@classCode)">(plCdaBaseComponentOf): Wartość dla @classCode MUSI wynosić 'ENC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaBaseComponentOf): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaBaseComponentOf): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(plCdaBaseComponentOf): element hl7:effectiveTime jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaBaseComponentOf): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:dischargeDispositionCode)&lt;=1">(plCdaBaseComponentOf): element hl7:dischargeDispositionCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:responsibleParty[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&lt;=1">(plCdaBaseComponentOf): element hl7:responsibleParty[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:location)&lt;=1">(plCdaBaseComponentOf): element hl7:location występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:id
Item: (plCdaBaseComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:id"
         id="tmp-r-2ba6e4e5-d4a7-4fa9-9ced-6f6904f6adbd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:code
Item: (plCdaBaseComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:code"
         id="tmp-r-cd83c6ab-0c2f-4aec-bedb-0e55c04071b1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.2.4')">(plCdaBaseComponentOf): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.2.4'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="@code">(plCdaBaseComponentOf): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaBaseComponentOf): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="@displayName">(plCdaBaseComponentOf): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaBaseComponentOf): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:effectiveTime
Item: (plCdaBaseComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:effectiveTime"
         id="tmp-r-98b1bebf-c208-49c3-9cf9-3a52002c705f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaBaseComponentOf): Atrybut @value MUSI być typu 'ts'</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="not(@nullFlavor) and not(hl7:low) and not(hl7:high) and not(concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date)">(plCdaBaseComponentOf): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:low)&lt;=1">(plCdaBaseComponentOf): element hl7:low występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:high)&lt;=1">(plCdaBaseComponentOf): element hl7:high występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:effectiveTime/hl7:low
Item: (plCdaBaseComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:effectiveTime/hl7:low"
         id="tmp-r-57693507-fcdc-43ea-ac0c-cbcc64209505">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="@value">(plCdaBaseComponentOf): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaBaseComponentOf): Atrybut @value MUSI być typu 'ts'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaBaseComponentOf): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:effectiveTime/hl7:high
Item: (plCdaBaseComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:effectiveTime/hl7:high"
         id="tmp-r-17206a31-ff33-405a-87e2-2592cd1b8e1c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="@value">(plCdaBaseComponentOf): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaBaseComponentOf): Atrybut @value MUSI być typu 'ts'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaBaseComponentOf): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:dischargeDispositionCode
Item: (plCdaBaseComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:dischargeDispositionCode"
         id="tmp-r-de47c02e-0e47-4dc1-83f9-c2428e83dbeb">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.36-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaBaseComponentOf): Wartość elementu MUSI wynosić TrybWypisu Tryb wypisu ze szpitala (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.36-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaBaseComponentOf): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości TrybWypisu Tryb wypisu ze szpitala (DYNAMICZNE)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:responsibleParty[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']
Item: (plCdaBaseComponentOf)
-->
   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:responsibleParty[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="string(@typeCode)='RESP' or not(@typeCode)">(plCdaBaseComponentOf): Wartość dla @typeCode MUSI wynosić 'RESP'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:encounterParticipant
Item: (plCdaBaseComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:encounterParticipant"
         id="tmp-r-746bbcbc-6ffe-4d7c-8e6f-72b26b2cd018">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="@typeCode">(plCdaBaseComponentOf): atrybut @typeCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaBaseComponentOf): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19600-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(plCdaBaseComponentOf): Wartość dla typeCode MUSI pochodzić z zbiór wartości 'x_EncounterParticipant' (DYNAMICZNE)</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:time)&lt;=1">(plCdaBaseComponentOf): element hl7:time występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&gt;=1 ">(plCdaBaseComponentOf): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&lt;=1">(plCdaBaseComponentOf): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:time
Item: (plCdaBaseComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:time"
         id="tmp-r-4229592b-733f-4a76-9ae8-c03935f6959d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']
Item: (plCdaBaseComponentOf)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:location
Item: (plCdaBaseComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:location"
         id="tmp-r-208158ec-db4e-4ee6-b25a-c7d3a5ba1134">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="string(@typeCode)='LOC' or not(@typeCode)">(plCdaBaseComponentOf): Wartość dla @typeCode MUSI wynosić 'LOC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:healthCareFacility)&gt;=1 ">(plCdaBaseComponentOf): element hl7:healthCareFacility jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:healthCareFacility)&lt;=1">(plCdaBaseComponentOf): element hl7:healthCareFacility występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility
Item: (plCdaBaseComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility"
         id="tmp-r-f53b7769-3497-4759-88d9-f734afb49988">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="string(@classCode)='SDLOC' or not(@classCode)">(plCdaBaseComponentOf): Wartość dla @classCode MUSI wynosić 'SDLOC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaBaseComponentOf): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:location[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.75'])&lt;=1">(plCdaBaseComponentOf): element hl7:location[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.75'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="count(hl7:serviceProviderOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'])&lt;=1">(plCdaBaseComponentOf): element hl7:serviceProviderOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:id
Item: (plCdaBaseComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:id"
         id="tmp-r-991b6112-510c-4288-8f4a-099d57d14bb5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:code
Item: (plCdaBaseComponentOf)
-->

   <rule context="*[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:code"
         id="tmp-r-4db5e72b-47d9-4145-8edf-d30945024006">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseComponentOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.17660-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaBaseComponentOf): Wartość elementu MUSI wynosić ServiceDeliveryLocationRoleType (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.17660-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.52-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaBaseComponentOf): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ServiceDeliveryLocationRoleType (DYNAMICZNE)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:location[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.75']
Item: (plCdaBaseComponentOf)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.52
Context: *[hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']]/hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']
Item: (plCdaBaseComponentOf)
--></pattern>
